@import "../../../libs/styles/onboarding";

/*:root {
  --eui-c-branding: #002B6E;
}*/

html {
  margin: 0;
  width: 100%;
}

body {
  margin: 0;
  width: 100%;
}

body simpl-splash-screen {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #F9FAFB; // #243882;
  color: #243882;
  z-index: 999999;
  pointer-events: none;
  opacity: 1;
  visibility: visible;
  transition: opacity 400ms cubic-bezier(0.4, 0, 0.2, 1);

  .simpl-title {
    font-size: large;
    font-weight: bold;
  }
}

body:not(.simpl-splash-screen-hidden) {
  overflow: hidden;
}

body.simpl-splash-screen-hidden simpl-splash-screen {
  display: none;
}

body simpl-splash-screen .spinner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-top: 40px;
  width: 200px;
}

body simpl-splash-screen .spinner > div {
  width: 24px;
  height: 24px;
  background-color: #243882;
  border-radius: 100%;
  display: inline-block;
  -webkit-animation: simpl-bouncedelay 1s infinite ease-in-out both;
  animation: simpl-bouncedelay 1s infinite ease-in-out both;
}

body simpl-splash-screen .spinner .bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}

body simpl-splash-screen .spinner .bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

body simpl-splash-screen .spinner .bounce3 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

body simpl-splash-screen .spinner .bounce4 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

body simpl-splash-screen .spinner .bounce5 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

@-webkit-keyframes simpl-bouncedelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0)
  }
  40% {
    -webkit-transform: scale(1.0)
  }
}

@keyframes simpl-bouncedelay {
  0%, 80%, 100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }
  40% {
    -webkit-transform: scale(1.0);
    transform: scale(1.0);
  }
}


